Commit 57120961 authored by George Kiagiadakis's avatar George Kiagiadakis
Browse files

meson: pull newer glib from subproject

parent f7f19903
......@@ -15,7 +15,7 @@ else
gst_version_nano = 0
endif
glib_req = '>= 2.40.0'
glib_req = '>= 2.48.0'
gst_req = '>= @0@.@1@.0'.format(gst_version_major, gst_version_minor)
api_version = '1.0'
......@@ -179,9 +179,9 @@ gstvideo_dep = dependency('gstreamer-video-1.0', version : gst_req,
zlib_dep = dependency('zlib')
bz2lib = cc.find_library('bz2', required : false)
gio_dep = dependency('gio-2.0', version : glib_req)
glib_deps = [dependency('glib-2.0', version : glib_req),
dependency('gobject-2.0', version : glib_req)]
gio_dep = dependency('gio-2.0', version : glib_req, fallback: ['glib', 'libgio_dep'])
glib_deps = [dependency('glib-2.0', version : glib_req, fallback: ['glib', 'libglib_dep']),
dependency('gobject-2.0', version : glib_req, fallback: ['glib', 'libgobject_dep'])]
cdata.set('HAVE_ZLIB', 1)
if bz2lib.found()
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment